Package org.jcsp.plugNplay

# Class Delta2

java.lang.Object
org.jcsp.plugNplay.Delta2

All Implemented Interfaces:
  `CSProcess`

public final class Delta2 extends Object implements CSProcess
This process broadcasts objects arriving on its input channel in parallel to its two output channels.

## Process Diagram

             ________  out0
        in  |        |--->---
       -->--| Delta2 | out1
            |________|--->---

## Description

The Delta2 class is a process which has an infinite loop that waits for Objects of any type to be sent down the in Channel. The process then writes the reference to the Object in parallel down the out0 and out1 Channels.

## Channel Protocols

Input Channels
in | java.lang.Object | The in Channel can accept data of any Class.
Output Channels
out0, out1 | java.lang.Object | The output Channels will carry a broadcast of whatever is sent down the in Channel.

Author:
  P.H. Welch and P.D. Austin

## Constructor Summary

Constructors
Constructor
Description
`Delta2(ChannelInput in, ChannelOutput out0, ChannelOutput out1)`
Construct a new Delta2 process with the input Channel in and the output Channels out0 and out1.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
The main body of this process.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Delta2

public Delta2(ChannelInput in, ChannelOutput out0, ChannelOutput out1)
Construct a new Delta2 process with the input Channel in and the output Channels out0 and out1. The ordering of the Channels out0 and out1 make no difference to the functionality of this process.

Parameters:
  `in` - the input channel
  `out0` - an output Channel
  `out1` - an output Channel

## Method Details

### run

public void run()
The main body of this process.

Specified by:
  `run` in interface `CSProcess`